# Egg | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class Egg

- Defined in src/data/egg.ts:86

##### Index

### Constructors

constructor

### Accessors

eggMoveIndex
hatchWaves
id
isShiny
overrideHiddenAbility
sourceType
species
tier
timestamp
variantTier

### Methods

addEggToGameData
generatePlayerPokemon
getEggDescriptor
getEggHatchWavesMessage
getEggTypeDescriptor
getKey
isManaphyEgg

## Constructors

### constructor

- new Egg(eggOptions?: IEggOptions ): Egg

  #### Parameters

  - `Optional` eggOptions: IEggOptions

  #### Returns Egg

  - Defined in src/data/egg.ts:161

## Accessors

### eggMoveIndex

- get eggMoveIndex(): number

  #### Returns number

  - Defined in src/data/egg.ts:149

### hatchWaves

- get hatchWaves(): number

  #### Returns number

  - Defined in src/data/egg.ts:125
- set hatchWaves(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in src/data/egg.ts:129

### id

- get id(): number

  #### Returns number

  - Defined in src/data/egg.ts:113

### isShiny

- get isShiny(): boolean

  #### Returns boolean

  - Defined in src/data/egg.ts:141

### overrideHiddenAbility

- get overrideHiddenAbility(): boolean

  #### Returns boolean

  - Defined in src/data/egg.ts:153

### sourceType

- get sourceType(): undefined | EggSourceType

  #### Returns undefined | EggSourceType

  - Defined in src/data/egg.ts:121

### species

- get species(): Species

  #### Returns Species

  - Defined in src/data/egg.ts:137

### tier

- get tier(): EggTier

  #### Returns EggTier

  - Defined in src/data/egg.ts:117

### timestamp

- get timestamp(): number

  #### Returns number

  - Defined in src/data/egg.ts:133

### variantTier

- get variantTier(): VariantTier

  #### Returns VariantTier

  - Defined in src/data/egg.ts:145

## Methods

### addEggToGameData

- addEggToGameData(): void

  #### Returns void

  - Defined in src/data/egg.ts:292

### generatePlayerPokemon

- generatePlayerPokemon(): PlayerPokemon

  #### Returns PlayerPokemon

  - Defined in src/data/egg.ts:238

### getEggDescriptor

- getEggDescriptor(): string

  #### Returns string

  - Defined in src/data/egg.ts:296

### getEggHatchWavesMessage

- getEggHatchWavesMessage(): string

  #### Returns string

  - Defined in src/data/egg.ts:312

### getEggTypeDescriptor

- getEggTypeDescriptor(): string

  #### Returns string

  - Defined in src/data/egg.ts:325

### getKey

- getKey(): string

  #### Returns string

  - Defined in src/data/egg.ts:230

### isManaphyEgg

- isManaphyEgg(): boolean

  #### Returns boolean

  - Defined in src/data/egg.ts:222